import '../../food_delivery_client.dart';

abstract class AppTextStyles {
  static const Color _defaultColor = AppColors.c000000;
  static const String _fontRegular = AppLocaleKeys.fontRegular;
  static const String _fontMedium = AppLocaleKeys.fontMedium;
  static const String _fontBold = AppLocaleKeys.fontBold;
  static const String _fontLight = AppLocaleKeys.fontLight;

  static const TextStyle size10Regular = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_10,
    fontFamily: _fontRegular,
    fontWeight: FontWeight.w400,
  );

  static const TextStyle size12Regular = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_12,
    fontFamily: _fontRegular,
    fontWeight: FontWeight.w400,
  );

  static const TextStyle size14Regular = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_14,
    fontFamily: _fontRegular,
    fontWeight: FontWeight.w400,
  );

  static const TextStyle size16Regular = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_16,
    fontFamily: _fontRegular,
    fontWeight: FontWeight.w400,
  );

  static const TextStyle size20Regular = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_20,
    fontFamily: _fontRegular,
    fontWeight: FontWeight.w400,
  );

  static const TextStyle size14Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_14,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );

  static const TextStyle size12Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_12,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );
  static const TextStyle size15Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_15,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );

  static const TextStyle size16Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_16,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );

  static const TextStyle size18Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_18,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );

  static const TextStyle size20Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_20,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );

  static const TextStyle size24Medium = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_24,
    fontFamily: _fontMedium,
    fontWeight: FontWeight.w500,
  );
  static const TextStyle size14Bold= TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_14,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size15Bold= TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_15,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size16Bold= TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_16,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size17Bold = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_17,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size24Bold = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_24,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size30Bold = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_30,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );

  static const TextStyle size36Bold = TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_36,
    fontFamily: _fontBold,
    fontWeight: FontWeight.w700,
  );
}

/*
TextStyle(
    color: _defaultColor,
    fontSize: SizesCons.size_10,
    fontFamily: _fontRegular,
  );
 */
